package com.sa.ibiz.demo.demo.service.impl;

import java.util.List;
import javax.annotation.Resource;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.sa.ibiz.demo.demo.mapper.WFCustomProcessMapper;
import com.sa.ibiz.demo.demo.domain.WFCustomProcess;
import com.sa.ibiz.demo.demo.service.WFCustomProcessService;
import com.sa.ibiz.demo.ibizutil.service.ServiceImplBase;
import com.sa.ibiz.demo.demo.service.dto.WFCustomProcessSearchFilter;
import org.springframework.util.DigestUtils;
import org.springframework.util.StringUtils;
import java.util.UUID;
import java.util.Map;
import org.springframework.beans.factory.annotation.Autowired;
import java.util.TreeMap;
import java.util.regex.Matcher;
import java.util.regex.Pattern;
import java.math.BigInteger;
import com.sa.ibiz.demo.ibizutil.annotation.PreField;
import java.lang.reflect.Field;


/**
 * 实体[WFCustomProcess] 服务对象接口实现
 */
@Service
public class WFCustomProcessServiceImpl extends ServiceImplBase<WFCustomProcessMapper, WFCustomProcess> implements WFCustomProcessService{


    @Resource
    private WFCustomProcessMapper wfcustomprocessMapper;


    @Override
    public boolean create(WFCustomProcess et) {
        this.beforeCreate(et);
         return super.create(et);
    }
    @Override
    public boolean update(WFCustomProcess et){
        this.beforeUpdate(et);
		this.wfcustomprocessMapper.updateOne(et);
		this.get(et);
		return true;
    }

    public Object getEntityKey(WFCustomProcess et){
		return et.getWfcustomprocessid();  
    }

    @Override
    public boolean getDraft(WFCustomProcess et)  {
            return true;
    }

	public List<WFCustomProcess> listDefault(WFCustomProcessSearchFilter filter) {
		return wfcustomprocessMapper.searchDefault(filter,filter.getSelectCond());
	}

	public Page<WFCustomProcess> searchDefault(WFCustomProcessSearchFilter filter) {
		return wfcustomprocessMapper.searchDefault(filter.getPage(),filter,filter.getSelectCond());
	}

    public  List<Map<String,Object>> selectRow(String sql){
       return wfcustomprocessMapper.selectRow(sql);
    }

 }